> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a policy group by ID

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | TENANT | READ | TENANT:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /relay/v1/policy-groups/{groupId}
openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.swarmd.ai
    description: Production
  - url: https://api.sandbox.swarmd.ai
    description: Sandbox
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Webhooks
    x-displayName: Webhooks
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: Conversations
    x-displayName: Conversations
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agents
    x-displayName: Agents
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /relay/v1/policy-groups/{groupId}:
    get:
      tags:
        - Policy Groups
      summary: Get a policy group by ID
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | TENANT | READ | TENANT:READ |
      operationId: getPolicyGroup
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolicyGroupDetailsResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    PolicyGroupDetailsResponse:
      type: object
      properties:
        groupId:
          type: string
          format: uuid
        version:
          type: string
        name:
          type: string
        description:
          type: string
        regoSource:
          type: string
        regoSourceHash:
          type: string
        bindings:
          type: array
          items:
            $ref: '#/components/schemas/PolicyBindingResponse'
        currentOwnership:
          $ref: '#/components/schemas/PolicyGroupOwnershipResponse'
        bindingCount:
          type: integer
          format: int64
        validFrom:
          type: string
          format: date-time
        validTo:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
    PolicyBindingResponse:
      type: object
      properties:
        bindingId:
          type: string
          format: uuid
        version:
          type: string
        groupId:
          type: string
          format: uuid
        groupName:
          type: string
        groupVersion:
          type: string
        isLatestGroupVersion:
          type: boolean
        bindingLevel:
          type: string
          enum:
            - TENANT
            - AGENT
            - SUBSCRIPTION
            - CHANNEL
            - CHANNEL_SUBSCRIPTION
        agent:
          $ref: '#/components/schemas/AgentRef'
        sourceAgent:
          $ref: '#/components/schemas/AgentRef'
        sinkAgent:
          $ref: '#/components/schemas/AgentRef'
        channel:
          $ref: '#/components/schemas/ChannelRef'
        priority:
          type: integer
          format: int32
        validFrom:
          type: string
          format: date-time
        validTo:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
    PolicyGroupOwnershipResponse:
      type: object
      properties:
        primaryUserId:
          type: string
          format: uuid
        secondaryUserId:
          type: string
          format: uuid
        effectiveFrom:
          type: string
          format: date-time
        effectiveTo:
          type: string
          format: date-time
        assignedByUserId:
          type: string
          format: uuid
        assignmentReason:
          type: string
    AgentRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
    ChannelRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````